Create
curl --request POST \
--url https://api-staging.genuka.com/2023-11/admin/warehouses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"description": "C'est la boutique de Douala",
"metadata": {
"genukaId": "id"
},
"name": "Test warehouse"
}
EOFimport requests
url = "https://api-staging.genuka.com/2023-11/admin/warehouses"
payload = {
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"description": "C'est la boutique de Douala",
"metadata": { "genukaId": "id" },
"name": "Test warehouse"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: '01hqydxwtxdj3kmzp3bz7jk73g',
description: 'C\'est la boutique de Douala',
metadata: {genukaId: 'id'},
name: 'Test warehouse'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-10T15:10:35.000000Z",
"description": "C'est la boutique de Douala",
"id": "01k77arzp50nrp5d0xnenkpy36",
"logo": null,
"logoUrl": null,
"name": "Test warehouse",
"shops": [],
"updated_at": "2025-10-10T15:10:35.000000Z"
}Warehouse
Create warehouse
Creates a new shop under the authenticated company. This endpoint allows you to define a shop’s name, address, contact information, and other optional metadata. Once created, the shop will be available for product assignments, employee management, and order tracking.
POST
/
2023-11
/
admin
/
warehouses
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Body
application/json
Response
200 - application/json
200
Example:
"01hqydxwtxdj3kmzp3bz7jk73g"
Example:
"2025-10-10T15:10:35.000000Z"
Example:
"C'est la boutique de Douala"
Example:
"01k77arzp50nrp5d0xnenkpy36"
Example:
"Test warehouse"
Example:
[]
Example:
"2025-10-10T15:10:35.000000Z"
⌘I
